Skip to main content
POST
Ask a device to send or delete what it holds

Authorizations

apsio_session
string
cookie
required

The console session, set by /v1/auth/callback (__Host-apsio_session when host-only).

Path Parameters

orgId
string
required
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"0192f3a4-0000-7000-8000-00000000a001"

projectId
string
required
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"0192f3a4-0000-7000-8000-00000000a001"

Body

application/json
kind
enum<string>
required
Available options:
send,
delete
subject_kind
enum<string>
required
Available options:
install,
user
subject
string
required

The app.installation.id or the user.hash.

Required string length: 1 - 256
families
enum<string>[]
Minimum array length: 1
Available options:
summary,
errors,
logs,
spans,
network,
metrics,
replay
days
integer
Required range: 1 <= x <= 7

Response

200 - application/json

The request

id
string
required
project_id
string
required
kind
enum<string>
required
Available options:
send,
delete
subject_kind
enum<string>
required
Available options:
install,
user
subject_hint
string
required

The install id's or user hash's last four characters.

families
enum<string>[] | null
required

Null: every family.

Available options:
summary,
errors,
logs,
spans,
network,
metrics,
replay
created_by
string | null
required
created_at
string
required
expires_at
string
required
canceled_at
string | null
required
state
enum<string>
required

Open: in the policy every device of the project fetches.

Available options:
open,
expired,
canceled